## texstudio-4.8.9.tar.gz

=== src/qcodeedit/CMakeLists.txt ===
set(INC_DIRECTORIES
	${INC_DIRECTORIES}
	${CMAKE_CURRENT_SOURCE_DIR}/lib
	${CMAKE_CURRENT_SOURCE_DIR}/lib/document
	${CMAKE_CURRENT_SOURCE_DIR}/lib/widgets
	${CMAKE_CURRENT_SOURCE_DIR}/lib/qnfa
	${CMAKE_CURRENT_SOURCE_DIR}
	PARENT_SCOPE
)
set(ADDITIONAL_DEFINITIONS ${ADDITIONAL_DEFINITIONS} -D_QCODE_EDIT_BUILD_ -DQNFA_BUILD PARENT_SCOPE)

set(HEADER_FILES ${HEADER_FILES}
    ${CMAKE_CURRENT_SOURCE_DIR}/lib/qeditor.h
    ${CMAKE_CURRENT_SOURCE_DIR}/lib/qcodeedit.h
    ${CMAKE_CURRENT_SOURCE_DIR}/lib/qpanellayout.h
    ${CMAKE_CURRENT_SOURCE_DIR}/lib/qformatfactory.h
    ${CMAKE_CURRENT_SOURCE_DIR}/lib/qformatscheme.h
    ${CMAKE_CURRENT_SOURCE_DIR}/lib/qlinemarksinfocenter.h
    ${CMAKE_CURRENT_SOURCE_DIR}/lib/qreliablefilewatch.h
    ${CMAKE_CURRENT_SOURCE_DIR}/lib/qeditorinputbinding.h
    ${CMAKE_CURRENT_SOURCE_DIR}/lib/qeditorinputbindinginterface.h
    ${CMAKE_CURRENT_SOURCE_DIR}/lib/qformat.h
    ${CMAKE_CURRENT_SOURCE_DIR}/lib/document/qdocument.h
    ${CMAKE_CURRENT_SOURCE_DIR}/lib/document/qdocument_p.h
    ${CMAKE_CURRENT_SOURCE_DIR}/lib/document/qdocumentcommand.h
    ${CMAKE_CURRENT_SOURCE_DIR}/lib/document/qdocumentcursor.h
    ${CMAKE_CURRENT_SOURCE_DIR}/lib/document/qdocumentline.h
    ${CMAKE_CURRENT_SOURCE_DIR}/lib/document/qdocumentsearch.h
    ${CMAKE_CURRENT_SOURCE_DIR}/lib/qcodecompletionengine.h
    ${CMAKE_CURRENT_SOURCE_DIR}/lib/qlanguagedefinition.h
    ${CMAKE_CURRENT_SOURCE_DIR}/lib/qlanguagefactory.h
    ${CMAKE_CURRENT_SOURCE_DIR}/lib/widgets/qpanel.h
    ${CMAKE_CURRENT_SOURCE_DIR}/lib/widgets/qlinenumberpanel.h
    ${CMAKE_CURRENT_SOURCE_DIR}/lib/widgets/qlinemarkpanel.h
    ${CMAKE_CURRENT_SOURCE_DIR}/lib/widgets/qlinechangepanel.h
    ${CMAKE_CURRENT_SOURCE_DIR}/lib/widgets/qfoldpanel.h
    ${CMAKE_CURRENT_SOURCE_DIR}/lib/widgets/qstatuspanel.h
    ${CMAKE_CURRENT_SOURCE_DIR}/lib/widgets/qsearchreplacepanel.h
    ${CMAKE_CURRENT_SOURCE_DIR}/lib/widgets/qgotolinedialog.h
    ${CMAKE_CURRENT_SOURCE_DIR}/lib/widgets/qgotolinepanel.h
    #${CMAKE_CURRENT_SOURCE_DIR}/lib/widgets/qeditconfig.h
    ${CMAKE_CURRENT_SOURCE_DIR}/lib/widgets/qformatconfig.h
    ${CMAKE_CURRENT_SOURCE_DIR}/lib/widgets/qsimplecolorpicker.h
    ${CMAKE_CURRENT_SOURCE_DIR}/lib/widgets/qcalltip.h
    ${CMAKE_CURRENT_SOURCE_DIR}/lib/qnfa/qnfa.h
    ${CMAKE_CURRENT_SOURCE_DIR}/lib/qnfa/qnfadefinition.h
    ${CMAKE_CURRENT_SOURCE_DIR}/lib/qnfa/light_vector.h
    ${CMAKE_CURRENT_SOURCE_DIR}/lib/qnfa/xml2qnfa.h
    PARENT_SCOPE
)

set(SOURCE_FILES ${SOURCE_FILES}
    ${CMAKE_CURRENT_SOURCE_DIR}/lib/qeditor.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/lib/qcodeedit.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/lib/qpanellayout.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/lib/qformatscheme.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/lib/qlinemarksinfocenter.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/lib/qreliablefilewatch.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/lib/qeditorinputbinding.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/lib/qformat.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/lib/document/qdocument.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/lib/document/qdocumentcommand.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/lib/document/qdocumentcursor.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/lib/document/qdocumentcursor_p.h
    ${CMAKE_CURRENT_SOURCE_DIR}/lib/document/qdocumentline.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/lib/document/qdocumentline_p.h
    ${CMAKE_CURRENT_SOURCE_DIR}/lib/document/qdocumentsearch.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/lib/qcodecompletionengine.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/lib/qlanguagedefinition.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/lib/qlanguagefactory.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/lib/widgets/qpanel.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/lib/widgets/qlinenumberpanel.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/lib/widgets/qlinemarkpanel.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/lib/widgets/qlinechangepanel.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/lib/widgets/qfoldpanel.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/lib/widgets/qstatuspanel.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/lib/widgets/qsearchreplacepanel.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/lib/widgets/qgotolinedialog.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/lib/widgets/qgotolinepanel.cpp
    #${CMAKE_CURRENT_SOURCE_DIR}/lib/widgets/qeditconfig.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/lib/widgets/qformatconfig.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/lib/widgets/qsimplecolorpicker.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/lib/widgets/qcalltip.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/lib/qnfa/qnfa.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/lib/qnfa/qnfadefinition.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/lib/qnfa/xml2qnfa.cpp
    PARENT_SCOPE
)

set(FORM_FILES ${FORM_FILES}
	${CMAKE_CURRENT_SOURCE_DIR}/lib/widgets/gotoline.ui
    ${CMAKE_CURRENT_SOURCE_DIR}/lib/widgets/gotolinedialog.ui
    ${CMAKE_CURRENT_SOURCE_DIR}/lib/widgets/editconfig.ui
    ${CMAKE_CURRENT_SOURCE_DIR}/lib/widgets/formatconfig.ui
    PARENT_SCOPE
)

=== utilities/poppler-data/CMakeLists.txt ===
project(poppler-data NONE)

cmake_minimum_required(VERSION 2.6)

set(datadir ${CMAKE_INSTALL_PREFIX}/share)
set(pkgdatadir ${datadir}/poppler)

set(unicode-map-files
  unicodeMap/Big5
  unicodeMap/Big5ascii
  unicodeMap/EUC-CN
  unicodeMap/EUC-JP
  unicodeMap/GBK
  unicodeMap/ISO-2022-CN
  unicodeMap/ISO-2022-JP
  unicodeMap/ISO-2022-KR
  unicodeMap/ISO-8859-6
  unicodeMap/ISO-8859-7
  unicodeMap/ISO-8859-8
  unicodeMap/ISO-8859-9
  unicodeMap/KOI8-R
  unicodeMap/Latin2
  unicodeMap/Shift-JIS
  unicodeMap/TIS-620
  unicodeMap/Windows-1255
)
install(FILES ${unicode-map-files} DESTINATION ${pkgdatadir}/unicodeMap)

set(cMap-files-AC1
  cMap/Adobe-CNS1/Adobe-CNS1-0
  cMap/Adobe-CNS1/Adobe-CNS1-1
  cMap/Adobe-CNS1/Adobe-CNS1-2
  cMap/Adobe-CNS1/Adobe-CNS1-3
  cMap/Adobe-CNS1/Adobe-CNS1-4
  cMap/Adobe-CNS1/Adobe-CNS1-5
  cMap/Adobe-CNS1/Adobe-CNS1-6
  cMap/Adobe-CNS1/Adobe-CNS1-B5pc
  cMap/Adobe-CNS1/Adobe-CNS1-ETen-B5
  cMap/Adobe-CNS1/Adobe-CNS1-H-CID
  cMap/Adobe-CNS1/Adobe-CNS1-H-Host
  cMap/Adobe-CNS1/Adobe-CNS1-H-Mac
  cMap/Adobe-CNS1/Adobe-CNS1-UCS2
  cMap/Adobe-CNS1/B5-H
  cMap/Adobe-CNS1/B5pc-H
  cMap/Adobe-CNS1/B5pc-UCS2
  cMap/Adobe-CNS1/B5pc-UCS2C
  cMap/Adobe-CNS1/B5pc-V
  cMap/Adobe-CNS1/B5-V
  cMap/Adobe-CNS1/CNS1-H
  cMap/Adobe-CNS1/CNS1-V
  cMap/Adobe-CNS1/CNS2-H
  cMap/Adobe-CNS1/CNS2-V
  cMap/Adobe-CNS1/CNS-EUC-H
  cMap/Adobe-CNS1/CNS-EUC-V
  cMap/Adobe-CNS1/ETen-B5-H
  cMap/Adobe-CNS1/ETen-B5-UCS2
  cMap/Adobe-CNS1/ETen-B5-V
  cMap/Adobe-CNS1/ETenms-B5-H
  cMap/Adobe-CNS1/ETenms-B5-V
  cMap/Adobe-CNS1/ETHK-B5-H
  cMap/Adobe-CNS1/ETHK-B5-V
  cMap/Adobe-CNS1/HKdla-B5-H
  cMap/Adobe-CNS1/HKdla-B5-V
  cMap/Adobe-CNS1/HKdlb-B5-H
  cMap/Adobe-CNS1/HKdlb-B5-V
  cMap/Adobe-CNS1/HKgccs-B5-H
  cMap/Adobe-CNS1/HKgccs-B5-V
  cMap/Adobe-CNS1/HKm314-B5-H
  cMap/Adobe-CNS1/HKm314-B5-V
  cMap/Adobe-CNS1/HKm471-B5-H
  cMap/Adobe-CNS1/HKm471-B5-V
  cMap/Adobe-CNS1/HKscs-B5-H
  cMap/Adobe-CNS1/HKscs-B5-V
  cMap/Adobe-CNS1/UCS2-B5pc
  cMap/Adobe-CNS1/UCS2-ETen-B5
  cMap/Adobe-CNS1/UniCNS-UCS2-H
  cMap/Adobe-CNS1/UniCNS-UCS2-V
  cMap/Adobe-CNS1/UniCNS-UTF16-H
  cMap/Adobe-CNS1/UniCNS-UTF16-V
  cMap/Adobe-CNS1/UniCNS-UTF32-H
  cMap/Adobe-CNS1/UniCNS-UTF32-V
  cMap/Adobe-CNS1/UniCNS-UTF8-H
  cMap/Adobe-CNS1/UniCNS-UTF8-V
)
install(FILES ${cMap-files-AC1} DESTINATION ${pkgdatadir}/cMap/Adobe-CNS1)

set(cMap-files-AG1
  cMap/Adobe-GB1/Adobe-GB1-0
  cMap/Adobe-GB1/Adobe-GB1-1
  cMap/Adobe-GB1/Adobe-GB1-2
  cMap/Adobe-GB1/Adobe-GB1-3
  cMap/Adobe-GB1/Adobe-GB1-4
  cMap/Adobe-GB1/Adobe-GB1-5
  cMap/Adobe-GB1/Adobe-GB1-GBK-EUC
  cMap/Adobe-GB1/Adobe-GB1-GBpc-EUC
  cMap/Adobe-GB1/Adobe-GB1-H-CID
  cMap/Adobe-GB1/Adobe-GB1-H-Host
  cMap/Adobe-GB1/Adobe-GB1-H-Mac
  cMap/Adobe-GB1/Adobe-GB1-UCS2
  cMap/Adobe-GB1/GB-EUC-H
  cMap/Adobe-GB1/GB-EUC-V
  cMap/Adobe-GB1/GB-H
  cMap/Adobe-GB1/GBK2K-H
  cMap/Adobe-GB1/GBK2K-V
  cMap/Adobe-GB1/GBK-EUC-H
  cMap/Adobe-GB1/GBK-EUC-UCS2
  cMap/Adobe-GB1/GBK-EUC-V
  cMap/Adobe-GB1/GBKp-EUC-H
  cMap/Adobe-GB1/GBKp-EUC-V
  cMap/Adobe-GB1/GBpc-EUC-H
  cMap/Adobe-GB1/GBpc-EUC-UCS2
  cMap/Adobe-GB1/GBpc-EUC-UCS2C
  cMap/Adobe-GB1/GBpc-EUC-V
  cMap/Adobe-GB1/GBT-EUC-H
  cMap/Adobe-GB1/GBT-EUC-V
  cMap/Adobe-GB1/GBT-H
  cMap/Adobe-GB1/GBTpc-EUC-H
  cMap/Adobe-GB1/GBTpc-EUC-V
  cMap/Adobe-GB1/GBT-V
  cMap/Adobe-GB1/GB-V
  cMap/Adobe-GB1/UCS2-GBK-EUC
  cMap/Adobe-GB1/UCS2-GBpc-EUC
  cMap/Adobe-GB1/UniGB-UCS2-H
  cMap/Adobe-GB1/UniGB-UCS2-V
  cMap/Adobe-GB1/UniGB-UTF16-H
  cMap/Adobe-GB1/UniGB-UTF16-V
  cMap/Adobe-GB1/UniGB-UTF32-H
  cMap/Adobe-GB1/UniGB-UTF32-V
  cMap/Adobe-GB1/UniGB-UTF8-H
  cMap/Adobe-GB1/UniGB-UTF8-V
)
install(FILES ${cMap-files-AG1} DESTINATION ${pkgdatadir}/cMap/Adobe-GB1)

set(cMap-files-AJ1
  cMap/Adobe-Japan1/78-EUC-H
  cMap/Adobe-Japan1/78-EUC-V
  cMap/Adobe-Japan1/78-H
  cMap/Adobe-Japan1/78ms-RKSJ-H
  cMap/Adobe-Japan1/78ms-RKSJ-V
  cMap/Adobe-Japan1/78-RKSJ-H
  cMap/Adobe-Japan1/78-RKSJ-V
  cMap/Adobe-Japan1/78-V
  cMap/Adobe-Japan1/83pv-RKSJ-H
  cMap/Adobe-Japan1/90msp-RKSJ-H
  cMap/Adobe-Japan1/90msp-RKSJ-V
  cMap/Adobe-Japan1/90ms-RKSJ-H
  cMap/Adobe-Japan1/90ms-RKSJ-UCS2
  cMap/Adobe-Japan1/90ms-RKSJ-V
  cMap/Adobe-Japan1/90pv-RKSJ-H
  cMap/Adobe-Japan1/90pv-RKSJ-UCS2
  cMap/Adobe-Japan1/90pv-RKSJ-UCS2C
  cMap/Adobe-Japan1/90pv-RKSJ-V
  cMap/Adobe-Japan1/Add-H
  cMap/Adobe-Japan1/Add-RKSJ-H
  cMap/Adobe-Japan1/Add-RKSJ-V
  cMap/Adobe-Japan1/Add-V
  cMap/Adobe-Japan1/Adobe-Japan1-0
  cMap/Adobe-Japan1/Adobe-Japan1-1
  cMap/Adobe-Japan1/Adobe-Japan1-2
  cMap/Adobe-Japan1/Adobe-Japan1-3
  cMap/Adobe-Japan1/Adobe-Japan1-4
  cMap/Adobe-Japan1/Adobe-Japan1-5
  cMap/Adobe-Japan1/Adobe-Japan1-6
  cMap/Adobe-Japan1/Adobe-Japan1-90ms-RKSJ
  cMap/Adobe-Japan1/Adobe-Japan1-90pv-RKSJ
  cMap/Adobe-Japan1/Adobe-Japan1-H-CID
  cMap/Adobe-Japan1/Adobe-Japan1-H-Host
  cMap/Adobe-Japan1/Adobe-Japan1-H-Mac
  cMap/Adobe-Japan1/Adobe-Japan1-PS-H
  cMap/Adobe-Japan1/Adobe-Japan1-PS-V
  cMap/Adobe-Japan1/Adobe-Japan1-UCS2
  cMap/Adobe-Japan1/EUC-H
  cMap/Adobe-Japan1/EUC-V
  cMap/Adobe-Japan1/Ext-H
  cMap/Adobe-Japan1/Ext-RKSJ-H
  cMap/Adobe-Japan1/Ext-RKSJ-V
  cMap/Adobe-Japan1/Ext-V
  cMap/Adobe-Japan1/H
  cMap/Adobe-Japan1/Hankaku
  cMap/Adobe-Japan1/Hiragana
  cMap/Adobe-Japan1/Hojo-EUC-H
  cMap/Adobe-Japan1/Hojo-EUC-V
  cMap/Adobe-Japan1/Hojo-H
  cMap/Adobe-Japan1/Hojo-V
  cMap/Adobe-Japan1/Katakana
  cMap/Adobe-Japan1/NWP-H
  cMap/Adobe-Japan1/NWP-V
  cMap/Adobe-Japan1/RKSJ-H
  cMap/Adobe-Japan1/RKSJ-V
  cMap/Adobe-Japan1/Roman
  cMap/Adobe-Japan1/UCS2-90ms-RKSJ
  cMap/Adobe-Japan1/UCS2-90pv-RKSJ
  cMap/Adobe-Japan1/UniHojo-UCS2-H
  cMap/Adobe-Japan1/UniHojo-UCS2-V
  cMap/Adobe-Japan1/UniHojo-UTF16-H
  cMap/Adobe-Japan1/UniHojo-UTF16-V
  cMap/Adobe-Japan1/UniHojo-UTF32-H
  cMap/Adobe-Japan1/UniHojo-UTF32-V
  cMap/Adobe-Japan1/UniHojo-UTF8-H
  cMap/Adobe-Japan1/UniHojo-UTF8-V
  cMap/Adobe-Japan1/UniJIS2004-UTF16-H
  cMap/Adobe-Japan1/UniJIS2004-UTF16-V
  cMap/Adobe-Japan1/UniJIS2004-UTF32-H
  cMap/Adobe-Japan1/UniJIS2004-UTF32-V
  cMap/Adobe-Japan1/UniJIS2004-UTF8-H
  cMap/Adobe-Japan1/UniJIS2004-UTF8-V
  cMap/Adobe-Japan1/UniJISPro-UCS2-HW-V
  cMap/Adobe-Japan1/UniJISPro-UCS2-V
  cMap/Adobe-Japan1/UniJISPro-UTF8-V
  cMap/Adobe-Japan1/UniJIS-UCS2-H
  cMap/Adobe-Japan1/UniJIS-UCS2-HW-H
  cMap/Adobe-Japan1/UniJIS-UCS2-HW-V
  cMap/Adobe-Japan1/UniJIS-UCS2-V
  cMap/Adobe-Japan1/UniJIS-UTF16-H
  cMap/Adobe-Japan1/UniJIS-UTF16-V
  cMap/Adobe-Japan1/UniJIS-UTF32-H
  cMap/Adobe-Japan1/UniJIS-UTF32-V
  cMap/Adobe-Japan1/UniJIS-UTF8-H
  cMap/Adobe-Japan1/UniJIS-UTF8-V
  cMap/Adobe-Japan1/UniJISX02132004-UTF32-H
  cMap/Adobe-Japan1/UniJISX02132004-UTF32-V
  cMap/Adobe-Japan1/UniJISX0213-UTF32-H
  cMap/Adobe-Japan1/UniJISX0213-UTF32-V
  cMap/Adobe-Japan1/V
  cMap/Adobe-Japan1/WP-Symbol
)
install(FILES ${cMap-files-AJ1} DESTINATION ${pkgdatadir}/cMap/Adobe-Japan1)

set(cMap-files-AJ2
  cMap/Adobe-Japan2/Adobe-Japan2-0
)
install(FILES ${cMap-files-AJ2} DESTINATION ${pkgdatadir}/cMap/Adobe-Japan2)

set(cMap-files-AK1
  cMap/Adobe-Korea1/Adobe-Korea1-0
  cMap/Adobe-Korea1/Adobe-Korea1-1
  cMap/Adobe-Korea1/Adobe-Korea1-2
  cMap/Adobe-Korea1/Adobe-Korea1-H-CID
  cMap/Adobe-Korea1/Adobe-Korea1-H-Host
  cMap/Adobe-Korea1/Adobe-Korea1-H-Mac
  cMap/Adobe-Korea1/Adobe-Korea1-KSCms-UHC
  cMap/Adobe-Korea1/Adobe-Korea1-KSCpc-EUC
  cMap/Adobe-Korea1/Adobe-Korea1-UCS2
  cMap/Adobe-Korea1/KSC-EUC-H
  cMap/Adobe-Korea1/KSC-EUC-V
  cMap/Adobe-Korea1/KSC-H
  cMap/Adobe-Korea1/KSC-Johab-H
  cMap/Adobe-Korea1/KSC-Johab-V
  cMap/Adobe-Korea1/KSCms-UHC-H
  cMap/Adobe-Korea1/KSCms-UHC-HW-H
  cMap/Adobe-Korea1/KSCms-UHC-HW-V
  cMap/Adobe-Korea1/KSCms-UHC-UCS2
  cMap/Adobe-Korea1/KSCms-UHC-V
  cMap/Adobe-Korea1/KSCpc-EUC-H
  cMap/Adobe-Korea1/KSCpc-EUC-UCS2
  cMap/Adobe-Korea1/KSCpc-EUC-UCS2C
  cMap/Adobe-Korea1/KSCpc-EUC-V
  cMap/Adobe-Korea1/KSC-V
  cMap/Adobe-Korea1/UCS2-KSCms-UHC
  cMap/Adobe-Korea1/UCS2-KSCpc-EUC
  cMap/Adobe-Korea1/UniKS-UCS2-H
  cMap/Adobe-Korea1/UniKS-UCS2-V
  cMap/Adobe-Korea1/UniKS-UTF16-H
  cMap/Adobe-Korea1/UniKS-UTF16-V
  cMap/Adobe-Korea1/UniKS-UTF32-H
  cMap/Adobe-Korea1/UniKS-UTF32-V
  cMap/Adobe-Korea1/UniKS-UTF8-H
  cMap/Adobe-Korea1/UniKS-UTF8-V
)
install(FILES ${cMap-files-AK1} DESTINATION ${pkgdatadir}/cMap/Adobe-Korea1)

set(name-to-unicode-files
  nameToUnicode/Bulgarian
  nameToUnicode/Greek
  nameToUnicode/Thai
)
install(FILES ${name-to-unicode-files} DESTINATION ${pkgdatadir}/nameToUnicode)

set(cid-to-unicode-files
  cidToUnicode/Adobe-GB1
  cidToUnicode/Adobe-CNS1
  cidToUnicode/Adobe-Japan1
  cidToUnicode/Adobe-Korea1
)
install(FILES ${cid-to-unicode-files} DESTINATION ${pkgdatadir}/cidToUnicode)

=== src/adwaita-qt/style/CMakeLists.txt ===

#configure_file(config-adwaita.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-adwaita.h )

set(Adwaita_SRCS
    animations/adwaitaanimation.cpp
    animations/adwaitaanimations.cpp
    animations/adwaitaanimationdata.cpp
    animations/adwaitabaseengine.cpp
    animations/adwaitabusyindicatordata.cpp
    animations/adwaitabusyindicatorengine.cpp
    animations/adwaitadialdata.cpp
    animations/adwaitadialengine.cpp
    animations/adwaitaenabledata.cpp
    animations/adwaitagenericdata.cpp
    animations/adwaitaheaderviewdata.cpp
    animations/adwaitaheaderviewengine.cpp
    animations/adwaitascrollbardata.cpp
    animations/adwaitascrollbarengine.cpp
    animations/adwaitaspinboxengine.cpp
    animations/adwaitaspinboxdata.cpp
    animations/adwaitastackedwidgetdata.cpp
    animations/adwaitastackedwidgetengine.cpp
    animations/adwaitatabbarengine.cpp
    animations/adwaitatabbardata.cpp
    animations/adwaitatoolboxengine.cpp
    animations/adwaitatransitiondata.cpp
    animations/adwaitatransitionwidget.cpp
    animations/adwaitawidgetstateengine.cpp
    animations/adwaitawidgetstatedata.cpp
    debug/adwaitawidgetexplorer.cpp
    adwaitaaddeventfilter.cpp
    adwaitahelper.cpp
    adwaitamnemonics.cpp
    adwaitasplitterproxy.cpp
    adwaitastyle.cpp
    adwaitastyleplugin.cpp
    adwaitawindowmanager.cpp
)
#add_definitions(-DQT_PLUGIN)

if (MSVC)
    add_definitions(-D_USE_MATH_DEFINES) # Needed for M_PI on MSVC
endif()

include_directories(
    ${QT_INCLUDES}
    ${CMAKE_CURRENT_BINARY_DIR} # for adwaita-config.h
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}/animations/
    ${CMAKE_CURRENT_SOURCE_DIR}/debug/
)

set(LIBRARY_NAME "adwaita-qt${QT_VERSION_NUMBER}")

add_library(${LIBRARY_NAME} STATIC ${Adwaita_SRCS})
#add_library(quazip STATIC ${QUAZIP_HEADER_FILES} ${QUAZIP_SOURCE_FILES})
target_compile_definitions(${LIBRARY_NAME} PUBLIC -DADWAITA-QT_STATIC
    Qt${QT_VERSION_NUMBER}::Gui
    Qt${QT_VERSION_NUMBER}::Widgets
    Qt${QT_VERSION_NUMBER}::Core
    Qt${QT_VERSION_NUMBER}::DBus
) 


#target_link_libraries(${LIBRARY_NAME} ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY} ${QT_QTDBUS_LIBRARY})
#set_target_properties(${LIBRARY_NAME} PROPERTIES
#    LINK_FLAGS "-Wl,--no-undefined"
#    LIBRARY_OUTPUT_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}"
#    OUTPUT_NAME "adwaita"
#    PREFIX "")

#install(TARGETS ${LIBRARY_NAME} DESTINATION "${QT_PLUGINS_DIR}/styles")

=== src/quazip/qztest/CMakeLists.txt ===
set(QZTEST_SOURCES
        qztest.h
        testjlcompress.h
        testquachecksum32.h
        testquagzipfile.h
        testquaziodevice.h
        testquazip.h
        testquazipdir.h
        testquazipfile.h
        testquazipfileinfo.h
        testquazipnewinfo.h
        qztest.cpp
        testjlcompress.cpp
        testquachecksum32.cpp
        testquagzipfile.cpp
        testquaziodevice.cpp
        testquazip.cpp
        testquazipdir.cpp
        testquazipfile.cpp
        testquazipfileinfo.cpp
        testquazipnewinfo.cpp
)

add_executable(qztest ${QZTEST_SOURCES} qztest.qrc)
set_target_properties(qztest PROPERTIES AUTORCC ON)
target_include_directories(qztest PRIVATE ${QUAZIP_INC})
target_link_libraries(qztest
    ${QUAZIP_TEST_QT_LIBRARIES}
    QuaZip::QuaZip
)

add_test(NAME qztest_test
	COMMAND qztest
	WORKING_DIRECTORY ${QUAZIP_BINARY_DIR}/quazip # preliminary hack to find the dll on windows
)
add_custom_target(check COMMAND ${CMAKE_CTEST_COMMAND} --verbose DEPENDS qztest)

=== debian/changelog ===
texstudio (4.8.9) unstable; urgency=low

   * new release

 -- Benito van der Zander <benibela@users.sourceforge.net>  Fri, 11 Jul 2025 19:20:57 +0200

texstudio (4.8.8) unstable; urgency=low

   * new release

 -- Benito van der Zander <benibela@users.sourceforge.net>  Fri, 25 Apr 2025 17:50:21 +0200

texstudio (4.8.7) unstable; urgency=low

   * new release

 -- Benito van der Zander <benibela@users.sourceforge.net>  Fri, 07 Feb 2025 18:58:11 +0100

texstudio (4.8.6) unstable; urgency=low

   * new release

 -- Benito van der Zander <benibela@users.sourceforge.net>  Fri, 13 Dec 2024 19:38:27 +0100

texstudio (4.8.5) unstable; urgency=low

   * new release

 -- Benito van der Zander <benibela@users.sourceforge.net>  Fri, 27 Sep 2024 20:46:49 +0200

texstudio (4.8.4) unstable; urgency=low

   * new release

 -- Benito van der Zander <benibela@users.sourceforge.net>  Fri, 20 Sep 2024 19:15:59 +0200

texstudio (4.8.3) unstable; urgency=low

   * new release

 -- Benito van der Zander <benibela@users.sourceforge.net>  Wed, 28 Aug 2024 19:49:15 +0200

texstudio (4.8.2) unstable; urgency=low

   * new release

 -- Benito van der Zander <benibela@users.sourceforge.net>  Fri, 07 Jun 2024 19:05:30 +0200

texstudio (4.8.1) unstable; urgency=low

   * new release

 -- Benito van der Zander <benibela@users.sourceforge.net>  Sat, 11 May 2024 18:09:57 +0200

texstudio (4.8.0) unstable; urgency=low

   * new release

 -- Benito van der Zander <benibela@users.sourceforge.net>  Thu, 28 Mar 2024 13:27:35 +0100

texstudio (4.7.4) unstable; urgency=low

   * new release

 -- Benito van der Zander <benibela@users.sourceforge.net>  Fri, 01 Mar 2024 18:33:01 +0100

texstudio (4.7.3) unstable; urgency=low

   * new release

 -- Benito van der Zander <benibela@users.sourceforge.net>  Sun, 24 Dec 2023 17:27:52 +0100

texstudio (4.7.2) unstable; urgency=low

   * new release

 -- Benito van der Zander <benibela@users.sourceforge.net>  Tue, 05 Dec 2023 18:18:02 +0100

texstudio (4.7.1) unstable; urgency=low

   * new release

 -- Benito van der Zander <benibela@users.sourceforge.net>  Sat, 02 Dec 2023 11:29:15 +0100

texstudio (4.7.0) unstable; urgency=low

   * new release

 -- Benito van der Zander <benibela@users.sourceforge.net>  Mon, 25 Sep 2023 19:43:08 +0200

texstudio (4.6.4) unstable; urgency=low

   * new release

 -- Benito van der Zander <benibela@users.sourceforge.net>  Fri, 11 Aug 2023 18:50:09 +0200

texstudio (4.6.3) unstable; urgency=low

   * new release

 -- Benito van der Zander <benibela@users.sourceforge.net>  Sun, 30 Jul 2023 22:22:17 +0200

texstudio (4.6.2) unstable; urgency=low

   * new release

 -- Benito van der Zander <benibela@users.sourceforge.net>  Sun, 30 Jul 2023 10:27:00 +0200

texstudio (4.6.1) unstable; urgency=low

   * new release

 -- Benito van der Zander <benibela@users.sourceforge.net>  Fri, 28 Jul 2023 18:23:42 +0200

texstudio (4.6.0) unstable; urgency=low

   * new release

 -- Benito van der Zander <benibela@users.sourceforge.net>  Sun, 07 May 2023 18:52:42 +0200

texstudio (4.5.3) unstable; urgency=low

   * new release

 -- Benito van der Zander <benibela@users.sourceforge.net>  Sat, 15 Apr 2023 18:28:11 +0200

texstudio (4.5.2) unstable; urgency=low

   * new release

 -- Benito van der Zander <benibela@users.sourceforge.net>  Sat, 04 Feb 2023 15:42:33 +0100

texstudio (4.5.1) unstable; urgency=low

   * new release

 -- Benito van der Zander <benibela@users.sourceforge.net>  Fri, 23 Dec 2022 09:58:02 +0100

texstudio (4.4.2) unstable; urgency=low

   * new release

 -- Benito van der Zander <benibela@users.sourceforge.net>  Sun, 27 Nov 2022 12:25:50 +0100

texstudio (4.4.1) unstable; urgency=low

   * new release

 -- Benito van der Zander <benibela@users.sourceforge.net>  Sat, 19 Nov 2022 09:35:06 +0100

texstudio (4.4.0) unstable; urgency=low

   * new release

 -- Benito van der Zander <benibela@users.sourceforge.net>  Sun, 04 Sep 2022 21:44:12 +0200

texstudio (4.3.2) unstable; urgency=low

   * new release

 -- Benito van der Zander <benibela@users.sourceforge.net>  Fri, 26 Aug 2022 20:10:40 +0200

texstudio (4.3.1) unstable; urgency=low

   * new release

 -- Benito van der Zander <benibela@users.sourceforge.net>  Sun, 07 Aug 2022 20:46:41 +0200

texstudio (4.3.0) unstable; urgency=low

   * new release

 -- Benito van der Zander <benibela@users.sourceforge.net>  Sat, 14 May 2022 11:24:02 +0200

texstudio (4.2.4) unstable; urgency=low

   * new release

 -- Benito van der Zander <benibela@users.sourceforge.net>  Sun, 17 Apr 2022 11:07:46 +0200

texstudio (4.2.3) unstable; urgency=low

   * new release

 -- Benito van der Zander <benibela@users.sourceforge.net>  Sun, 20 Feb 2022 13:43:54 +0100

texstudio (4.2.2) unstable; urgency=low

   * new release

 -- Benito van der Zander <benibela@users.sourceforge.net>  Thu, 27 Jan 2022 20:05:20 +0100

texstudio (4.2.1) unstable; urgency=low

   * new release

 -- Benito van der Zander <benibela@users.sourceforge.net>  Sun, 09 Jan 2022 11:07:37 +0100

texstudio (4.2.0) unstable; urgency=low

   * new release

 -- Benito van der Zander <benibela@users.sourceforge.net>  Mon, 27 Dec 2021 20:25:34 +0100

texstudio (4.1.3) unstable; urgency=low

   * new release

 -- Benito van der Zander <benibela@users.sourceforge.net>  Tue, 07 Dec 2021 21:06:57 +0100

texstudio (4.1.2) unstable; urgency=low

   * new release

 -- Benito van der Zander <benibela@users.sourceforge.net>  Sun, 21 Nov 2021 09:20:20 +0100

texstudio (4.1.1) unstable; urgency=low

   * new release

 -- Benito van der Zander <benibela@users.sourceforge.net>  Sat, 20 Nov 2021 13:30:32 +0100

texstudio (4.0.5) unstable; urgency=low

   * new release

 -- Benito van der Zander <benibela@users.sourceforge.net>  Sat, 06 Nov 2021 18:23:43 +0100

texstudio (4.0.4) unstable; urgency=low

   * new release

 -- Benito van der Zander <benibela@users.sourceforge.net>  Sat, 30 Oct 2021 21:54:58 +0200

texstudio (4.0.3) unstable; urgency=low

   * new release



=== debian/control ===
Source: texstudio
Section: editors
Priority: extra
Maintainer: J. Sundermeyer <jsundermeyer@user.sourceforge.net>
Build-Depends: cmake,debhelper (>= 7.0.50~),qt6-base-dev,qt6-gtk-platformtheme,qt6-svg-dev,qt6-5compat-dev,qt6-declarative-dev,qt6-tools-dev,libpoppler-qt6-dev,libpoppler-cpp-dev, zlib1g-dev, pkg-config, libhunspell-dev, libquazip1-qt6-dev
Standards-Version: 3.9.1
Homepage: texstudio.sf.net
#Vcs-Git: git://git.debian.org/collab-maint/texstudio.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/texstudio.git;a=summary

Package: texstudio
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: texlive-latex-base, texlive-latex-extra, texlive-latex-recommended, texlive-base, latex-beamer, dvipng
Conflicts: texstudio-l10n
Description: Latex Editor
 TeXstudio is a program based on Texmaker, that integrates many tools needed to develop documents with LaTeX, in just one application. Using its editor you can write your documents with the help of interactive spell checking, syntax highlighting, automatically code completion and more...
